AntClassLoader2 (Apache Ant API)
Date: 2018-07-10

org.apache.tools.ant.loader

## Class AntClassLoader2

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.tools.ant.AntClassLoader
    - - org.apache.tools.ant.loader.AntClassLoader2

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.EventListener, BuildListener, SubBuildListener

  Deprecated.
  since 1.7 Just use `AntClassLoader` itself.

      public class AntClassLoader2
      extends AntClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntClassLoader2()` Deprecated. No args constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tools.ant.AntClassLoader

      `addJavaLibraries, addLoaderPackageRoot, addPathComponent, addPathElement, addPathFile, addSystemPackageRoot, buildFinished, buildStarted, cleanup, close, defineClassFromData, definePackage, definePackage, findClass, findResources, findResources, forceLoadClass, forceLoadSystemClass, getClasspath, getConfiguredParent, getNamedResources, getResource, getResourceAsStream, getResources, getResourceURL, initializeClass, isInPath, loadClass, log, messageLogged, newAntClassLoader, resetThreadContextLoader, setClassPath, setIsolated, setParent, setParentFirst, setProject, setThreadContextLoader, subBuildFinished, subBuildStarted, targetFinished, targetStarted, taskFinished, taskStarted, toString`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AntClassLoader2

          public AntClassLoader2()

      Deprecated.
      No args constructor.